Ideas for Building Bridges on topcoder DIV1-1000 [closed] - algorithm

Closed. This question is opinion-based. It is not currently accepting answers.
Want to improve this question? Update the question so it can be answered with facts and citations by editing this post.
Closed 7 years ago.
Improve this question
I was practicing for topcoder when I encountered the following problem:
http://community.topcoder.com/stat?c=problem_statement&pm=13417&rd=16464
I was in div2 where constraints were much easier, so even a brute force checking for each of the possible bridge location worked. But I tried hard to think about the div 1 problem where (n<=200) and brute force never pass. I can't think of any straight forward way I can not apply a DP or greedy or anything I know. I would be really glad if anyone could give some pointers or hints to look into the correct direction for this problem. On all other forums people seem to be going with brute force approach.

Related

Is there a good and easy way to find algorithms? [closed]

Closed. This question needs to be more focused. It is not currently accepting answers.
Want to improve this question? Update the question so it focuses on one problem only by editing this post.
Closed 5 years ago.
Improve this question
I'm mainly a selftought I started studying computer science half a year ago.
Before studying, I genneraly just tried to think of an algorithm to do the tasks I needed to be done - with sorting algorithms for example this was quite easy (they might not have been super efficient, but they did good enough). But sometimes I really struggled to come up with algorithms for quite typical problems:
One example for this is triangulation.
The problem is: I didn't know it was called like that. Quite a few hours later I finally found out about delauney triangulation, and all my problems where immediately solved.
Also in computer science I'm learning about a lot of specific algorithms, but my question is:
Is there a way to learn about all these "important" algorithms, maybe by type or something simular? Or is the only good way to keep studying and hope they come my way at some point?

What is this algorithm? [closed]

Closed. This question needs to be more focused. It is not currently accepting answers.
Want to improve this question? Update the question so it focuses on one problem only by editing this post.
Closed 6 years ago.
Improve this question
I found this game and I'm very curious for know about of algorithm implemented in it.
I don't know how look for this, I don't know what is this algorithm and I want study it.
This is the game http://www.rustylake.com/puzzle-and-skill-games/coloruid.html
Really Thank you.
This seems like a basic "Flood Fill" algorithm.
It's performed on custom 'pixels', but the principle seems the same.

Master method does not solve all questions [closed]

Closed. This question needs details or clarity. It is not currently accepting answers.
Want to improve this question? Add details and clarify the problem by editing this post.
Closed 7 years ago.
Improve this question
How can we solve question which could not be solved by master method
Is there any method or we should leave it
Master theorem is just a shorthand for another, more cumbersome method: approximating manually the result (i.e. thinking of the size of the recursion trees and how much time is spent in each node) and checking the result.
There is also more general Akra-Bazzi method.
Of course, it has strengths, but should not be considered a “magic bullet” too.

Is z3 the most efficient solver for quantifier-free integer propositional logic? [closed]

Closed. This question is opinion-based. It is not currently accepting answers.
Want to improve this question? Update the question so it can be answered with facts and citations by editing this post.
Closed 4 years ago.
Improve this question
Sorry that this question is subjective, but given that the Stack Overflow has the largest Z3 user base, I want to give it a try.
I have a big constraint satisfaction problem that consists of many integer propositional logic formulas and a few first order logic formulas that only contain integers(quantifiers). I care very much about the efficiency, because I am building an interactive program synthesizer.
I am now using z3 solver and the check time is sometimes too long. I wonder if z3 is the best tool to tackle the problem I mentioned in above or there is a better tool? How about CPLEX?
Any suggestion will be appreciated.
Edit:
Sorry, the code has been remove for privacy reason. I can email you my code personally if you are willing to take a look. Thanks in advance.

What statups are expecting while asking to solve a programming challenge before hand? [closed]

Closed. This question is off-topic. It is not currently accepting answers.
Want to improve this question? Update the question so it's on-topic for Stack Overflow.
Closed 10 years ago.
Improve this question
I have applied to couple of startups and most of them are asking to solve programming challenge before they start on the interviewing candidate.
I have submitted couple of the solution and all the time getting rejected in the initial screening.
Now what i think is, they will see my coding style, algorithm and OOD concepts that i have used to solve the problem. Can you guys input more on it as what other details are taken into consideration and how can i improve my coding for getting selected.
By the way, i did all my coding in either Java/Perl.
Nice question, I am a new grad too... One thing I notice: When you do the exercise home, they expect you to use the best algorithm out there. In my opinion code modularity, even on a small function is key. Put lot effort into the code because they are not just judging you, but comparing you against other candidate. The one which seems to have put the more effort wins.
ps: Ask this question on programmers.stackexchange, you will obtain some good inputs there.

Resources